# pandas.Series.memory_usage

`Series.``memory_usage`(index=True, deep=False)

  Memory usage of the Series

  Parameters:

  index : bool

  > Specifies whether to include memory usage of Series index

  deep : bool

  > Introspect the data deeply, interrogate object dtypes for system-level memory consumption

  Returns: | scalar bytes of memory consumed

  See also

  `numpy.ndarray.nbytes`

  Notes

  Memory usage does not include memory consumed by elements that are not components of the array if deep=False

Scroll To Top